# switch it on when /usr/bin/python link to python3
%bcond_with       link_python3

Name:             telepathy-logger
Version:          0.8.2
Release:          12
Summary:          Centralized Logging for the Telepathy Framework

License:          LGPLv2+
URL:              https://telepathy.freedesktop.org/components/telepathy-logger/
Source0:          https://telepathy.freedesktop.org/releases/telepathy-logger/%{name}-%{version}.tar.bz2

%if %{with link_python3}
Patch0:           0001-tools-Fix-the-build-with-Python-3.patch
%endif

BuildRequires:    dbus-devel dbus-glib-devel glib2-devel gnome-doc-utils
BuildRequires:    gobject-introspection-devel intltool libxml2-devel
BuildRequires:    sqlite-devel telepathy-glib-devel git python
Requires:         telepathy-filesystem

%description
telepathy-logger is a daemon that centralizes the logging of all
communication within the Telepathy framework. This prevents the
UIs from having to implement their own solution that would end
up into having multiple incomplete databases.

%package          devel
Summary:          Header files for telepathy-logger
Requires:         %{name} = %{version}-%{release}

%description      devel
Header files for telepathy-logger

%package_help

%prep
%autosetup -n %{name}-%{version} -p1
%if "%{_libdir}" != "/usr/lib"
sed -i.rpath -e 's|"/lib /usr/lib|"/%{_lib} %{_libdir}|' configure
%endif

%build
%configure  --enable-introspection=yes \
%if ! %{with link_python3}
            PYTHON=%{__python2} \
%endif
;

sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
%delete_la

%check
make check

%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas &>/dev/null ||:

%posttrans
glib-compile-schemas --allow-any-name %{_datadir}/glib-2.0/schemas &>/dev/null ||:

%files
%defattr(-,root,root)
%doc README
%license COPYING
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/*.typelib
%{_libexecdir}/telepathy-logger
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/clients/Logger.client

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_includedir}/telepathy-logger-0.2/telepathy-logger/*.h

%files help
%defattr(-,root,root)
%doc NEWS
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gtk-doc/html/telepathy-logger/*

%changelog
* Fri Feb 28 2020 hexiujun <hexiujun1@huawei.com> - 0.8.2-12
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:fix the build with python3

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.2-11
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYING

* Wed Oct 16 2019 chengquan<chengquan3@huawei.com> - 0.8.2-10
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:remove useless buildrequires

* Mon Sep 2 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.8.2-9
- Package init
